import { BaseDomainEvent } from './base-domain.event';

export class TagDeletedEvent extends BaseDomainEvent {
  readonly eventType = 'workspace.tag.deleted';

  constructor(
    public readonly userId: string,
    public readonly tagId: string,
    public readonly tagName: string,
  ) {
    super();
  }
}
